from pathlib import Path
from enum import Enum
from datetime import date
from dataclasses import dataclass
from typing import Literal


@dataclass
class Metadata:
    title: str
    date: date
    description: str
    # add more options later...


class ItemType(Enum):
    MARKDOWN = "markdown"
    HTML = "html"
    IMAGE = "image"


@dataclass
class Item:
    source: Path
    destination: Path
    url: str  # relative to site root
    metadata: Metadata | None = None  # frontmatter
    content: str | None = None
    type: ItemType | None = None
    copy: bool = True
